<?php 
require_once "../modelos/Ingreso.php";
if (strlen(session_id())<1) 
	session_start();

$ingreso=new Ingreso();

$idingreso						=isset($_POST["idingreso"])?limpiarCadena($_POST["idingreso"]):"";
$idproveedor					=isset($_POST["idproveedor"])?limpiarCadena($_POST["idproveedor"]):"";
$idalmacen						=isset($_POST["idalmacen"])?limpiarCadena($_POST["idalmacen"]):"";
$idusuario						=$_SESSION["idusuario"];
$tipo_comprobante			=isset($_POST["tipo_comprobante"])?limpiarCadena($_POST["tipo_comprobante"]):"";
$serie_comprobante		=isset($_POST["serie_comprobante"])?limpiarCadena($_POST["serie_comprobante"]):"";
$num_comprobante			=isset($_POST["num_comprobante"])?limpiarCadena($_POST["num_comprobante"]):"";
$num_suministro				=isset($_POST["num_suministro"])?$_POST["num_suministro"]:"";
$fecha_hora						=isset($_POST["fecha_hora"])?limpiarCadena($_POST["fecha_hora"]):"";
$fecha_horar					=isset($_POST["fecha_horar"])?limpiarCadena($_POST["fecha_horar"]):"";
$impuesto							=isset($_POST["impuesto"])?limpiarCadena($_POST["impuesto"]):"";
$total_compra					=isset($_POST["total_compra"])?limpiarCadena($_POST["total_compra"]):"";
$total_comprad				=isset($_POST["total_comprad"])?limpiarCadena($_POST["total_comprad"]):"";
$total_comprai				=isset($_POST["total_comprai"])?limpiarCadena($_POST["total_comprai"]):"";
$total_compraid				=isset($_POST["total_compraid"])?limpiarCadena($_POST["total_compraid"]):"";
$almacen							=isset($_POST["almacen"])?limpiarCadena($_POST["almacen"]):"";
$islr									=isset($_POST["islr"])?limpiarCadena($_POST["islr"]):"";
$idimpuestoslr				=isset($_POST["idimpuestoslr"])?limpiarCadena($_POST["idimpuestoslr"]):"";
$observacion					=isset($_POST["observacion"])?limpiarCadena($_POST["observacion"]):"";
$idordencompraingreso	=isset($_POST["idordencompraingreso"])?limpiarCadena($_POST["idordencompraingreso"]):"";
$modopago							=isset($_POST["modopago"])? limpiarCadena($_POST["modopago"]):"";
$montoigtf						=isset($_POST["montoigtf"])? limpiarCadena($_POST["montoigtf"]):"";
$montoigtfporcentaje	=isset($_POST["montoigtfporcentaje"])? limpiarCadena($_POST["montoigtfporcentaje"]):"";
$montoigtfb						=isset($_POST["montoigtfb"])? limpiarCadena($_POST["montoigtfb"]):"";
$montoigtfporcentajeb	=isset($_POST["montoigtfporcentajeb"])? limpiarCadena($_POST["montoigtfporcentajeb"]):"";

//Factory
$idmaquila						=isset($_POST["idmaquila"])? limpiarCadena($_POST["idmaquila"]):"0";


//$codigo_barra		=isset($_POST["cod_barra"])? 		limpiarCadena($_POST["cod_barra"]):"";

switch ($_GET["op"]) {
	case 'guardaryeditar':
		if (empty($idingreso)) {
			$rspta=$ingreso->insertar($idproveedor,$idalmacen,$idusuario,$tipo_comprobante,$serie_comprobante,$num_comprobante,$num_suministro,$islr,$idimpuestoslr,$fecha_hora,$fecha_horar,$impuesto,$total_compra,$total_comprad,$total_comprai,$total_compraid,$observacion,$idordencompraingreso,$modopago,$montoigtf,$montoigtfporcentaje,$montoigtfb,$montoigtfporcentajeb,
			$idmaquila,$_POST["idarticulo"],$_POST["cantidad"],$_POST["precio_compra"],$_POST["precio_comprad"],$_POST["precio_compraa"],$_POST["precio_compraad"],$_POST["fecha_lote"],$_POST["nrolote"],$_POST["tipo"]);
			echo $rspta ? "Los datos del articulo se registraron correctamente" : "No se pudo registrar los datos del articulo";
			}else{
			
		}
	break;
	

	case 'anular':
		$rspta=$ingreso->anular($idingreso);
		echo $rspta ? "Ingreso anulado correctamente" : "No se pudo anular el ingreso";
	break;
	
	case 'mostrar':
		$rspta=$ingreso->mostrar($idingreso);
		echo json_encode($rspta);
	break;

	case 'buscarnrosuministro':
		$rspta=$ingreso->buscarnrosuministro();
		echo json_encode($rspta);
	break;

	case 'buscarnrosuministromixto':
		$rspta=$ingreso->buscarnrosuministromixto();
		echo json_encode($rspta);
	break;

	case 'buscarnroingreso':
		$rspta=$ingreso->buscarnroingreso();
		echo json_encode($rspta);
	break;
	

	case 'buscarAlmacen':
		$rspta=$ingreso->buscarAlmacen($almacen);
		echo json_encode($rspta);
	break;
	
	case 'agregarDetalleCodigoDeBarra':
		$codigo_barra	=$_POST["codigobarra"];
		$rspta=$ingreso->agregarDetalleCodigoDeBarra($codigo_barra);
		echo json_encode($rspta);
	break;	
	
	case 'listarDetalle':
		//recibimos el idingreso
		$id		=$_GET['id'];

		$rspta	=$ingreso->listarDetalle($id);
		$total	=0;
		$totald	=0;
		echo ' <thead style="background-color:#A9D0F5">
        <th>Opciones</th>
        <th>Articulo</th>
        <th>Cantidad</th>
        <th>Precio Compra Bs.</th>
        <th>Precio Compra $</th>
        <th>Subtotal</th>
       </thead>';
		while ($reg=$rspta->fetch_object()) {
			echo '<tr class="filas">
			<td></td>
			<td>'.$reg->nombre.'</td>
			<td style="text-align:right">'.number_format($reg->cantidad,0,',','.').'</td>
			<td style="text-align:right">'.number_format($reg->precio_compra,2,',','.').'</td>
			<td style="text-align:right">'.number_format($reg->precio_comprad,2,',','.').'</td>
			<td style="text-align:right">'.number_format(($reg->precio_compra*$reg->cantidad),2,',','.').'</td>
			<td></td>
			</tr>';
			$total	=$total+($reg->precio_compra*$reg->cantidad);
			$totald	=$totald+($reg->precio_comprad*$reg->cantidad);
		}
		echo '<tfoot>
         <th>TOTAL</th>
         <th></th>
         <th></th>
         <th></th>
         <th style="text-align:right"><h4 id="total">$. '.number_format($totald,2,',','.').'</h4><input type="hidden" name="total_comprad" id="total_comprad"></th>
         <th style="text-align:right"><h4 id="total">Bs. '.number_format($total,2,',','.').'</h4><input type="hidden" name="total_compra" id="total_compra"></th>
       </tfoot>';
	break;

  case 'listar':
			$rspta=$ingreso->listar();
			$data=Array();

			while ($reg=$rspta->fetch_object()) {
				if ($reg->tipo_comprobante=='Factura'){
					$factura=$reg->serie_comprobante;
					$notaent='-';
				}else{
					$factura='Sin Factura';
					$notaent=$reg->serie_comprobante;
				}
				$data[]=array(
							"0"=>($reg->estado=='Aceptado')?'<button class="btn btn-warning btn-xs" onclick="mostrar('.$reg->idingreso.')"><i class="fa fa-eye"></i></button>'.' '.'<button class="btn btn-danger btn-xs" onclick="anular('.$reg->idingreso.')"><i class="fas fa-times"></i></button>':'<button class="btn btn-warning btn-xs" onclick="mostrar('.$reg->idingreso.')"><i class="fa fa-eye"></i></button>',
							"1"=>$reg->fecha,
							"2"=>$reg->proveedor,
							"3"=>$reg->usuario,
							"4"=>$factura,
							"5"=>$notaent,
							"6"=>number_format($reg->total_comprad,2,',','.'),
							"7"=>number_format($reg->iva,2,',','.'),
							"8"=>number_format($reg->retencionivad,2,',','.'),
							"9"=>number_format($reg->retencionislr,2,',','.'),
							"10"=>number_format($reg->totald,2,',','.'),
							"11"=>($reg->estado=='Aceptado')?'<span class="badge bg-green">Aceptado</span>':'<span class="badge bg-red">Anulado</span>',
							"12"=>$reg->idingreso
								);
			}
			$results=array(
							"sEcho"=>1,//info para datatables
							"iTotalRecords"=>count($data),//enviamos el total de registros al datatable
							"iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
							"aaData"=>$data); 
			echo json_encode($results);
	break;

	case 'listara':
		$rspta=$ingreso->listara();
		$data=Array();

		while ($reg=$rspta->fetch_object()) {
			if ($reg->estado=='Aceptado'){
				$boton = '<button class="btn btn-warning btn-xs" onclick="mostrar('.$reg->idingreso.')"><i class="fa fa-eye"></i></button>'.' '.'<button class="btn btn-danger btn-xs" onclick="anular('.$reg->idingreso.')"><i class="fas fa-times"></i></button>';
				$estado= '<span class="badge bg-red">Pendiente</span>';
			}elseif ($reg->estado=='Pagada') {
				$boton = '<button class="btn btn-warning btn-xs" onclick="mostrar('.$reg->idingreso.')"><i class="fa fa-eye"></i></button>'.' '.'<button class="btn btn-danger btn-xs" onclick="anular('.$reg->idingreso.')"><i class="fas fa-times"></i></button>';
				$estado= '<span class="badge bg-green">Pagada</span>';
			}elseif ($reg->estado=='Parcial') {
				$boton = '<button class="btn btn-warning btn-xs" onclick="mostrar('.$reg->idingreso.')"><i class="fa fa-eye"></i></button>'.' '.'<button class="btn btn-danger btn-xs" onclick="anular('.$reg->idingreso.')"><i class="fas fa-times"></i></button>';
				$estado= '<span class="badge bg-yellow">Parcial</span>';
			}else {
				$boton ='<button class="btn btn-warning btn-xs" onclick="mostrar('.$reg->idingreso.')"><i class="fa fa-eye"></i></button>';
				$estado= '<span class="badge bg-navy">Anulada</span>';
			}

			if ($reg->agenteretencion=='si' AND $reg->retencionivad>0){
				$boton = $boton.' '.'<a target="_blank" href="reportes/Impuestoretencioniva.php?id='.$reg->idingreso.'"><button class="btn btn-primary btn-xs"><i class="fa fa-file"></i></button></a>';
			}
			if ($reg->islr=='si' AND $reg->retencionislr>0){
				$boton = $boton.' '.'<a target="_blank" href="reportes/Impuestoslr.php?id='.$reg->idingreso.'"><button class="btn btn-info btn-xs"><i class="fa fa-file"></i></button></a>';
			}

			if ($reg->tipo_comprobante=='Factura'){
				$factura=$reg->serie_comprobante;
				$notaent='-';
			}else{
				$factura='Sin Factura';
				$notaent=$reg->serie_comprobante;
			}

			$botonbs ='<button class="btn btn-success btn-xs" onclick="mostrarbs('.$reg->idingreso.',\''.$factura.'\',\''.$notaent.'\')"><i class="fa fa-btc"></i></button>';

			$data[]=array(
						/* "0"=>($reg->estado=='Aceptado')?'<button class="btn btn-warning btn-xs" onclick="mostrar('.$reg->idingreso.')"><i class="fa fa-eye"></i></button>'.' '.'<button class="btn btn-danger btn-xs" onclick="anular('.$reg->idingreso.')"><i class="fas fa-times"></i></button>':'<button class="btn btn-warning btn-xs" onclick="mostrar('.$reg->idingreso.')"><i class="fa fa-eye"></i></button>', */
						"0"=>$boton.' '.$botonbs,
						"1"=>$reg->fecha,
						"2"=>$reg->proveedor,
						"3"=>$reg->usuario,
						"4"=>$factura,
						"5"=>$notaent,
						/* sin bs */
						"6"=>number_format($reg->cajas,0,',','.'),
						"7"=>number_format($reg->total_comprad,2,',','.'),
						"8"=>number_format($reg->iva,2,',','.'),
						"9"=>number_format($reg->retencionivad,2,',','.'),
						"10"=>number_format($reg->retencionislr,2,',','.'),
						"11"=>number_format($reg->montoigtfporcentaje,2,',','.'),
						"12"=>number_format($reg->totald,2,',','.'),
						"13"=>$estado,
						"14"=>$reg->idingreso
						/**/
						/* Con Bs 4BEV 
						"6"=>number_format($reg->total_compra,2,',','.'),
						"7"=>number_format($reg->total_comprad,2,',','.'),
						"8"=>number_format($reg->iva,2,',','.'),
						"9"=>number_format($reg->retencionivad,2,',','.'),
						"10"=>number_format($reg->retencionislr,2,',','.'),
						"11"=>number_format($reg->montoigtfporcentaje,2,',','.'),
						"12"=>number_format($reg->totald,2,',','.'),
						"13"=>$estado,
						"14"=>$reg->idingreso*/
						);
		}
		$results=array(
						"sEcho"=>1,//info para datatables
						"iTotalRecords"=>count($data),//enviamos el total de registros al datatable
						"iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
						"aaData"=>$data); 
		echo json_encode($results);
	break;
    
    /*
	case 'listarinsumo':
		$rspta=$ingreso->listarinsumo();
		$data=Array();

		while ($reg=$rspta->fetch_object()) {
			if ($reg->estado=='Aceptado'){
				$boton = '<button class="btn btn-warning btn-xs" onclick="mostrar('.$reg->idingreso.')"><i class="fa fa-eye"></i></button>'.' '.'<button class="btn btn-danger btn-xs" onclick="anular('.$reg->idingreso.')"><i class="fas fa-times"></i></button>';
				$estado= '<span class="badge bg-red">Pendiente</span>';
			}elseif ($reg->estado=='Pagada') {
				$boton = '<button class="btn btn-warning btn-xs" onclick="mostrar('.$reg->idingreso.')"><i class="fa fa-eye"></i></button>'.' '.'<button class="btn btn-danger btn-xs" onclick="anular('.$reg->idingreso.')"><i class="fas fa-times"></i></button>';
				$estado= '<span class="badge bg-green">Pagada</span>';
			}elseif ($reg->estado=='Parcial') {
				$boton = '<button class="btn btn-warning btn-xs" onclick="mostrar('.$reg->idingreso.')"><i class="fa fa-eye"></i></button>'.' '.'<button class="btn btn-danger btn-xs" onclick="anular('.$reg->idingreso.')"><i class="fas fa-times"></i></button>';
				$estado= '<span class="badge bg-yellow">Parcial</span>';
			}else {
				$boton ='<button class="btn btn-warning btn-xs" onclick="mostrar('.$reg->idingreso.')"><i class="fa fa-eye"></i></button>';
				$estado= '<span class="badge bg-navy">Anulada</span>';
			}
			$data[]=array(
						"0"=>$boton,
						"1"=>$reg->fecha,
						"2"=>$reg->proveedor,
						"3"=>$reg->usuario,
						"4"=>$reg->tipo_comprobante,
						"5"=>$reg->serie_comprobante. '-' .$reg->num_comprobante,
						"6"=>number_format($reg->total_comprad,2,',','.'),
						"7"=>$estado
							);
		}
		$results=array(
						"sEcho"=>1,//info para datatables
						"iTotalRecords"=>count($data),//enviamos el total de registros al datatable
						"iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
						"aaData"=>$data); 
		echo json_encode($results);
	break;
	*/
	
    case 'listarinsumo':
		$rspta=$ingreso->listarinsumo();
		$data=Array();

		while ($reg=$rspta->fetch_object()) {
			if ($reg->estado=='Aceptado'){
				$boton = '<button class="btn btn-warning btn-xs" onclick="mostrar('.$reg->idingreso.')"><i class="fa fa-eye"></i></button>'.' '.'<button class="btn btn-danger btn-xs" onclick="anular('.$reg->idingreso.')"><i class="fas fa-times"></i></button>';
				$estado= '<span class="badge bg-red">Pendiente</span>';
			}elseif ($reg->estado=='Pagada') {
				$boton = '<button class="btn btn-warning btn-xs" onclick="mostrar('.$reg->idingreso.')"><i class="fa fa-eye"></i></button>'.' '.'<button class="btn btn-danger btn-xs" onclick="anular('.$reg->idingreso.')"><i class="fas fa-times"></i></button>';
				$estado= '<span class="badge bg-green">Pagada</span>';
			}elseif ($reg->estado=='Parcial') {
				$boton = '<button class="btn btn-warning btn-xs" onclick="mostrar('.$reg->idingreso.')"><i class="fa fa-eye"></i></button>'.' '.'<button class="btn btn-danger btn-xs" onclick="anular('.$reg->idingreso.')"><i class="fas fa-times"></i></button>';
				$estado= '<span class="badge bg-yellow">Parcial</span>';
			}else {
				$boton ='<button class="btn btn-warning btn-xs" onclick="mostrar('.$reg->idingreso.')"><i class="fa fa-eye"></i></button>';
				$estado= '<span class="badge bg-navy">Anulada</span>';
			}
			$documento=$reg->serie_comprobante.'-'.$reg->num_comprobante;
			//$documento=$reg->serie_comprobante;
			$data[]=array(
						"0"=>'<div style="text-align:center">'.$boton.'</div>',
						"1"=>'<div style="text-align:center">'.$reg->fecha.'</div>',
						"2"=>'<div style="text-align:left">'.$reg->proveedor.'</div>',
						"3"=>'<div style="text-align:left">'.$reg->usuario.'</div>',
						"4"=>'<div style="text-align:center">'.$reg->tipo_comprobante.'</div>',
						"5"=>'<div style="text-align:center">'.$documento.'</div>',
						"6"=>'<div style="text-align:center">'.number_format($reg->total_comprad,0,',','.').'</div>',
						"7"=>'<div style="text-align:center">'.$reg->almacen.'</div>',
						"8"=>'<div style="text-align:center">'.$estado.'</div>'
							);
		}
		$results=array(
						"sEcho"=>1,//info para datatables
						"iTotalRecords"=>count($data),//enviamos el total de registros al datatable
						"iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
						"aaData"=>$data); 
		echo json_encode($results);
	break;
	
		case 'listarDetalleinsumo':
		//recibimos el idingreso
		$id		=$_GET['id'];

		$rspta	=$ingreso->listarDetalle($id);
		$totau	=0;
		
		echo ' <thead style="background-color:#A9D0F5">
        <th style="text-align:center">Opciones</th>
        <th style="text-align:center">Articulo</th>
        <th style="text-align:center">Cantidad</th>
        
        <th style="text-align:center">Subtotal</th>
       </thead>';
		while ($reg=$rspta->fetch_object()) {
			echo '<tr class="filas">
			<td></td>
			<td>'.$reg->nombre.'</td>
			<td style="text-align:center">'.number_format($reg->cantidad,0,',','.').'</td>
			
			<td style="text-align:center">'.number_format(($reg->cantidad),0,',','.').'</td>
			<td></td>
			</tr>';
			$totalu	=$totalu+$reg->cantidad;
			
		}
		echo '<tfoot>
         <th>TOTAL</th>
         <th></th>
         
         <th></th>
         <th style="text-align:center"><h4 id="total">'.number_format($totalu,0,',','.').'</h4><input type="hidden" name="total_compra" id="total_compra"></th>
       </tfoot>';
	break;
	
	case 'listarmixto':
		$rspta=$ingreso->listarmixto();
		$data=Array();

		while ($reg=$rspta->fetch_object()) {
			$data[]=array(
						"0"=>($reg->estado=='Aceptado')?'<button class="btn btn-warning btn-xs" onclick="mostrar('.$reg->idingreso.')"><i class="fa fa-eye"></i></button>'.' '.'<button class="btn btn-danger btn-xs" onclick="anular('.$reg->idingreso.')"><i class="fas fa-times"></i></button>':'<button class="btn btn-warning btn-xs" onclick="mostrar('.$reg->idingreso.')"><i class="fa fa-eye"></i></button>',
						"1"=>$reg->fecha,
						"2"=>$reg->proveedor,
						"3"=>$reg->usuario,
						/* "4"=>$reg->tipo_comprobante, */
						"4"=>$reg->num_comprobante,
						"5"=>number_format($reg->totalingresounidades,2,',','.'),
						"6"=>($reg->estado=='Aceptado')?'<span class="badge bg-green">Aceptado</span>':'<span class="badge bg-red">Anulado</span>'
							);
		}
		$results=array(
						"sEcho"=>1,//info para datatables
						"iTotalRecords"=>count($data),//enviamos el total de registros al datatable
						"iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
						"aaData"=>$data); 
		echo json_encode($results);
	break;

	case 'listarsastreria':
		$rspta=$ingreso->listarsastreria();
		$data=Array();

		while ($reg=$rspta->fetch_object()) {
			if ($reg->estado=='Aceptado'){
				$boton = '<button class="btn btn-warning btn-xs" onclick="mostrar('.$reg->idingreso.')"><i class="fa fa-eye"></i></button>'.' '.'<button class="btn btn-danger btn-xs" onclick="anular('.$reg->idingreso.')"><i class="fas fa-times"></i></button>';
				$estado= '<span class="badge bg-red">Pendiente</span>';
			}elseif ($reg->estado=='Pagada') {
				$boton = '<button class="btn btn-warning btn-xs" onclick="mostrar('.$reg->idingreso.')"><i class="fa fa-eye"></i></button>'.' '.'<button class="btn btn-danger btn-xs" onclick="anular('.$reg->idingreso.')"><i class="fas fa-times"></i></button>';
				$estado= '<span class="badge bg-green">Pagada</span>';
			}elseif ($reg->estado=='Parcial') {
				$boton = '<button class="btn btn-warning btn-xs" onclick="mostrar('.$reg->idingreso.')"><i class="fa fa-eye"></i></button>'.' '.'<button class="btn btn-danger btn-xs" onclick="anular('.$reg->idingreso.')"><i class="fas fa-times"></i></button>';
				$estado= '<span class="badge bg-yellow">Parcial</span>';
			}else {
				$boton ='<button class="btn btn-warning btn-xs" onclick="mostrar('.$reg->idingreso.')"><i class="fa fa-eye"></i></button>';
				$estado= '<span class="badge bg-navy">Anulada</span>';
			}

			if ($reg->agenteretencion=='si' AND $reg->retencionivad>0){
				$boton = $boton.' '.'<a target="_blank" href="reportes/Impuestoretencioniva.php?id='.$reg->idingreso.'"><button class="btn btn-primary btn-xs"><i class="fa fa-file"></i></button></a>';
			}
			if ($reg->islr=='si' AND $reg->retencionislr>0){
				$boton = $boton.' '.'<a target="_blank" href="reportes/Impuestoslr.php?id='.$reg->idingreso.'"><button class="btn btn-info btn-xs"><i class="fa fa-file"></i></button></a>';
			}

			if ($reg->tipo_comprobante=='Factura'){
				$factura=$reg->serie_comprobante;
				$notaent='-';
			}else{
				$factura='Sin Factura';
				$notaent=$reg->serie_comprobante;
			}

			$data[]=array(
						/* "0"=>($reg->estado=='Aceptado')?'<button class="btn btn-warning btn-xs" onclick="mostrar('.$reg->idingreso.')"><i class="fa fa-eye"></i></button>'.' '.'<button class="btn btn-danger btn-xs" onclick="anular('.$reg->idingreso.')"><i class="fas fa-times"></i></button>':'<button class="btn btn-warning btn-xs" onclick="mostrar('.$reg->idingreso.')"><i class="fa fa-eye"></i></button>', */
						"0"=>$boton,
						"1"=>$reg->fecha,
						"2"=>$reg->proveedor,
						"3"=>$reg->usuario,
						"4"=>$factura,
						"5"=>$notaent,
						"6"=>number_format($reg->total_comprad,2,',','.'),
						"7"=>number_format($reg->iva,2,',','.'),
						"8"=>number_format($reg->retencionivad,2,',','.'),
						"9"=>number_format($reg->retencionislr,2,',','.'),
						"10"=>number_format($reg->montoigtfporcentaje,2,',','.'),
						"11"=>number_format($reg->totald,2,',','.'),
						"12"=>$estado,
						"13"=>$reg->idingreso
						);
		}
		$results=array(
						"sEcho"=>1,//info para datatables
						"iTotalRecords"=>count($data),//enviamos el total de registros al datatable
						"iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
						"aaData"=>$data); 
		echo json_encode($results);
	break;
	
	
	case 'listars':
		$rspta=$ingreso->listars();
		$data=Array();

		while ($reg=$rspta->fetch_object()) {
			if ($reg->estado=='Aceptado'){
				$boton = '<button class="btn btn-warning btn-xs" onclick="mostrar('.$reg->idingreso.')"><i class="fa fa-eye"></i></button>'.' '.'<button class="btn btn-danger btn-xs" onclick="anular('.$reg->idingreso.')"><i class="fas fa-times"></i></button>';
				$estado= '<span class="badge bg-red">Pendiente</span>';
			}elseif ($reg->estado=='Pagada') {
				$boton = '<button class="btn btn-warning btn-xs" onclick="mostrar('.$reg->idingreso.')"><i class="fa fa-eye"></i></button>'.' '.'<button class="btn btn-danger btn-xs" onclick="anular('.$reg->idingreso.')"><i class="fas fa-times"></i></button>';
				$estado= '<span class="badge bg-green">Pagada</span>';
			}elseif ($reg->estado=='Parcial') {
				$boton = '<button class="btn btn-warning btn-xs" onclick="mostrar('.$reg->idingreso.')"><i class="fa fa-eye"></i></button>'.' '.'<button class="btn btn-danger btn-xs" onclick="anular('.$reg->idingreso.')"><i class="fas fa-times"></i></button>';
				$estado= '<span class="badge bg-yellow">Parcial</span>';
			}else {
				$boton ='<button class="btn btn-warning btn-xs" onclick="mostrar('.$reg->idingreso.')"><i class="fa fa-eye"></i></button>';
				$estado= '<span class="badge bg-navy">Anulada</span>';
			}

			if ($reg->agenteretencion=='si' AND $reg->retencionivad>0){
				$boton = $boton.' '.'<a target="_blank" href="reportes/Impuestoretencioniva.php?id='.$reg->idingreso.'"><button class="btn btn-primary btn-xs"><i class="fa fa-file"></i></button></a>';
			}
			if ($reg->islr=='si' AND $reg->retencionislr>0){
				$boton = $boton.' '.'<a target="_blank" href="reportes/Impuestoslr.php?id='.$reg->idingreso.'"><button class="btn btn-info btn-xs"><i class="fa fa-file"></i></button></a>';
			}

			if ($reg->tipo_comprobante=='Factura'){
				$factura=$reg->serie_comprobante;
				$notaent='-';
			}else{
				$factura='Sin Factura';
				$notaent=$reg->serie_comprobante;
			}

			$botonbs ='<button class="btn btn-success btn-xs" onclick="mostrarbs('.$reg->idingreso.',\''.$factura.'\',\''.$notaent.'\')"><i class="fa fa-btc"></i></button>';

			$data[]=array(
						/* "0"=>($reg->estado=='Aceptado')?'<button class="btn btn-warning btn-xs" onclick="mostrar('.$reg->idingreso.')"><i class="fa fa-eye"></i></button>'.' '.'<button class="btn btn-danger btn-xs" onclick="anular('.$reg->idingreso.')"><i class="fas fa-times"></i></button>':'<button class="btn btn-warning btn-xs" onclick="mostrar('.$reg->idingreso.')"><i class="fa fa-eye"></i></button>', */
						"0"=>$boton.' '.$botonbs,
						"1"=>$reg->fecha,
						"2"=>$reg->proveedor,
						"3"=>$reg->usuario,
						"4"=>$factura,
						"5"=>$notaent,
						"6"=>number_format($reg->total_comprad,2,',','.'),
						"7"=>number_format($reg->iva,2,',','.'),
						"8"=>number_format($reg->retencionivad,2,',','.'),
						"9"=>number_format($reg->retencionislr,2,',','.'),
						"10"=>number_format($reg->montoigtfporcentaje,2,',','.'),
						"11"=>number_format($reg->totald,2,',','.'),
						"12"=>$estado
						);
		}
		$results=array(
						"sEcho"=>1,//info para datatables
						"iTotalRecords"=>count($data),//enviamos el total de registros al datatable
						"iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
						"aaData"=>$data); 
		echo json_encode($results);
	break;

	case 'selectProveedor':
		require_once "../modelos/Persona.php";
		$persona = new Persona();
		$valorinicio	= 0;
		$valornombre	= 'Seleccione un Proveedor';
		echo '<option value='.$valorinicio.'>'.$valornombre.'</option>';
		$rspta = $persona->listarp();
		while ($reg = $rspta->fetch_object()) {
			echo '<option value='.$reg->idpersona.'>'.$reg->nombre.'</option>';
		}
	break;

	case 'selectProveedori':
		require_once "../modelos/Persona.php";
		$persona = new Persona();
		$valorinicio	= 0;
		$valornombre	= 'Seleccione un Proveedor de Insumo';
		echo '<option value='.$valorinicio.'>'.$valornombre.'</option>';
		$rspta = $persona->listarpi();

		while ($reg = $rspta->fetch_object()) {
			echo '<option value='.$reg->idpersona.'>'.$reg->nombre.'</option>';
		}
	break;

	case 'selectProveedorf':
		require_once "../modelos/Persona.php";
		$persona = new Persona();
		$valorinicio	= 0;
		$valornombre	= 'Seleccione un Fabricante';
		echo '<option value='.$valorinicio.'>'.$valornombre.'</option>';
		$rspta = $persona->listarpf();

		while ($reg = $rspta->fetch_object()) {
			echo '<option value='.$reg->idpersona.'>'.$reg->nombre.'</option>';
		}
	break;

	case 'selectAlmacen':
		require_once "../modelos/Almacen.php";
		$almacen = new Almacen();

		$rspta = $almacen->select();

		while ($reg = $rspta->fetch_object()) {
			echo '<option value='.$reg->idalmacen.'>'.$reg->nombre.'</option>';
		}
	break;

	case 'selectImpuestoslr':
		require_once "../modelos/Impuestoslr.php";
		$impuestoslr = new Impuestoslr();
		$valorinicio	= 0;
		$valornombre	= 'Seleccione un ISLR';
		echo '<option value='.$valorinicio.'>'.$valornombre.'</option>';
		$rspta = $impuestoslr->select();

		while ($reg = $rspta->fetch_object()) {
			echo '<option value='.$reg->idimpuestoslr.'>'.$reg->nombre.'</option>';
		}
	break;

	case 'selectProveedorSuministro':
		require_once "../modelos/Persona.php";
		$persona = new Persona();

		$rspta = $persona->listarp();

		while ($reg = $rspta->fetch_object()) {
			$selected = '';
			if ($reg->nombre=='BODEGART'){
				$selected = 'selected';
			}
			echo '<option value='.$reg->idpersona.'"" '.$selected.'>'.$reg->nombre.'</option>';
		}
	break;
	
	case 'listarArticulos':
		require_once "../modelos/Articulo.php";
		$articulo=new Articulo();
		$rspta=$articulo->listarActivos();
		$tipos			='A';
		$data=Array();
		while ($reg=$rspta->fetch_object()) {
			$data[]=array(
						"0"=>'<button class="btn btn-warning" onclick="agregarDetalle('.$reg->idarticulo.',\''.$reg->nombre.'\',\''.$reg->costo.'\',\''.$reg->costod.'\',\''.$reg->costoa.'\',\''.$reg->costoad.'\',\''.$reg->exento.'\',\''.$tipos.'\')"><span class="fa fa-plus"></span></button>',
						                                               //agregarDetalle('.$reg->idservicio.',\''.$reg->nombre.'\','.$reg->precio.','.$reg->porcentaje.',\''.$tipos.'\',\''.$reg->exento.'\')
						"1"=>$reg->nombre,
						"2"=>$reg->categoria,
						"3"=>$reg->codigo,
						"4"=>$reg->stock,
						"5"=>"<img src='files/articulos/".$reg->imagen."' height='50px' width='50px'>"
					
							);
		}
		$results=array(
						"sEcho"=>1,//info para datatables
						"iTotalRecords"=>count($data),//enviamos el total de registros al datatable
						"iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
						"aaData"=>$data); 
		echo json_encode($results);
	break;

	case 'listarArticulomixto':
		require_once "../modelos/Articulo.php";
		$articulo=new Articulo();
		$rspta=$articulo->listarActivosmixto();
		$tipos			='A';
		$data=Array();
		while ($reg=$rspta->fetch_object()) {
			$data[]=array(
						"0"=>'<button class="btn btn-warning" onclick="agregarDetalle('.$reg->idarticulo.',\''.$reg->nombre.'\',\''.$reg->costo.'\',\''.$reg->costod.'\',\''.$reg->costoa.'\',\''.$reg->costoad.'\',\''.$reg->exento.'\',\''.$tipos.'\')"><span class="fa fa-plus"></span></button>',
						                                               //agregarDetalle('.$reg->idservicio.',\''.$reg->nombre.'\','.$reg->precio.','.$reg->porcentaje.',\''.$tipos.'\',\''.$reg->exento.'\')
						"1"=>$reg->nombre,
						"2"=>$reg->categoria,
						"3"=>$reg->codigo,
						"4"=>$reg->stock,
						"5"=>"<img src='files/articulos/".$reg->imagen."' height='50px' width='50px'>"
					
							);
		}
		$results=array(
						"sEcho"=>1,//info para datatables
						"iTotalRecords"=>count($data),//enviamos el total de registros al datatable
						"iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
						"aaData"=>$data); 
		echo json_encode($results);
	break;

	case 'listarArticuloso':
		require_once "../modelos/Articulo.php";
		$articulo=new Articulo();
		$rspta=$articulo->listarActivoso();
		$tipos			='A';
		$data=Array();
		while ($reg=$rspta->fetch_object()) {
			$data[]=array(
						"0"=>'<button class="btn btn-warning" onclick="agregarDetalle('.$reg->idarticulo.',\''.$reg->nombre.'\',\''.$reg->costo.'\',\''.$reg->costod.'\',\''.$reg->costoa.'\',\''.$reg->costoad.'\',\''.$reg->exento.'\',\''.$tipos.'\')"><span class="fa fa-plus"></span></button>',
						                                               //agregarDetalle('.$reg->idservicio.',\''.$reg->nombre.'\','.$reg->precio.','.$reg->porcentaje.',\''.$tipos.'\',\''.$reg->exento.'\')
						"1"=>$reg->nombre,
						"2"=>$reg->categoria,
						"3"=>$reg->codigo,
						"4"=>$reg->stock,
						"5"=>"<img src='files/articulos/".$reg->imagen."' height='50px' width='50px'>"
					
							);
		}
		$results=array(
						"sEcho"=>1,//info para datatables
						"iTotalRecords"=>count($data),//enviamos el total de registros al datatable
						"iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
						"aaData"=>$data); 
		echo json_encode($results);
	break;

	case 'listarArticulosi':
		require_once "../modelos/Articulo.php";
		$articulo=new Articulo();
		$rspta=$articulo->listarActivosi();
		$tipos			='A';
		$data=Array();
		while ($reg=$rspta->fetch_object()) {
			$articulon = $reg->categoria.'-'.$reg->nombre.'-'.$reg->descripcion;
			$data[]=array(
						"0"=>'<button class="btn btn-warning" onclick="agregarDetalle('.$reg->idarticulo.',\''.$articulon.'\',\''.$reg->costo.'\',\''.$reg->costod.'\',\''.$reg->costoa.'\',\''.$reg->costoad.'\',\''.$reg->exento.'\',\''.$tipos.'\')"><span class="fa fa-plus"></span></button>',
						                                               //agregarDetalle('.$reg->idservicio.',\''.$reg->nombre.'\','.$reg->precio.','.$reg->porcentaje.',\''.$tipos.'\',\''.$reg->exento.'\')
						"1"=>$reg->nombre,
						"2"=>$reg->descripcion,
						"3"=>$reg->categoria,
						"4"=>$reg->codigo,
						"5"=>$reg->stock,
						"6"=>"<img src='files/articulos/".$reg->imagen."' height='50px' width='50px'>"
					
							);
		}
		$results=array(
						"sEcho"=>1,//info para datatables
						"iTotalRecords"=>count($data),//enviamos el total de registros al datatable
						"iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
						"aaData"=>$data); 
		echo json_encode($results);
	break;
		
	case 'listarArticuloBarra':
		require_once "../modelos/Articulo.php";
		$articulo=new Articulo();
		$rspta=$articulo->listarActivosBodegartCafetinSuministro();
		$data=Array();
		while ($reg=$rspta->fetch_object()) {
			$data[]=array(
						"0"=>'<button class="btn btn-warning" onclick="agregarDetalle('.$reg->idarticulo.',\''.$reg->nombre.'\',\''.$reg->costo.'\',\''.$reg->precio.'\')"><span class="fa fa-plus"></span></button>',
						"1"=>$reg->nombre,
						"2"=>$reg->categoria,
						"3"=>$reg->codigo,
						"4"=>$reg->stock,
						"5"=>"<img src='files/articulos/".$reg->imagen."' height='50px' width='50px'>"
					
							);
		}
		$results=array(
						"sEcho"=>1,//info para datatables
						"iTotalRecords"=>count($data),//enviamos el total de registros al datatable
						"iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
						"aaData"=>$data); 
		echo json_encode($results);

	break;

	case 'listarArticulosastreria':
		require_once "../modelos/Articulo.php";
		$articulo=new Articulo();
		$rspta=$articulo->listararticulosastreria();
		$tipos			='A';
		$data=Array();
		while ($reg=$rspta->fetch_object()) {
			$data[]=array(
						"0"=>'<button class="btn btn-warning" onclick="agregarDetalle('.$reg->idarticulo.',\''.$reg->nombre.'\',\''.$reg->costo.'\',\''.$reg->costod.'\',\''.$reg->costoa.'\',\''.$reg->costoad.'\',\''.$reg->exento.'\',\''.$tipos.'\')"><span class="fa fa-plus"></span></button>',
						                                               //agregarDetalle('.$reg->idservicio.',\''.$reg->nombre.'\','.$reg->precio.','.$reg->porcentaje.',\''.$tipos.'\',\''.$reg->exento.'\')
						"1"=>$reg->nombre,
						"2"=>$reg->categoria,
						"3"=>$reg->codigo,
						"4"=>$reg->stock,
						"5"=>"<img src='files/articulos/".$reg->imagen."' height='50px' width='50px'>"
					
							);
		}
		$results=array(
						"sEcho"=>1,//info para datatables
						"iTotalRecords"=>count($data),//enviamos el total de registros al datatable
						"iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
						"aaData"=>$data); 
		echo json_encode($results);
	break;

	case 'listararticulosastreriainsumo':
		require_once "../modelos/Articulo.php";
		$articulo=new Articulo();
		$rspta=$articulo->listararticulosastreriainsumo();
		$tipos			='A';
		$data=Array();
		while ($reg=$rspta->fetch_object()) {
			$data[]=array(
						"0"=>'<button class="btn btn-warning" onclick="agregarDetalle('.$reg->idarticulo.',\''.$reg->nombre.'\',\''.$reg->costo.'\',\''.$reg->costod.'\',\''.$reg->costoa.'\',\''.$reg->costoad.'\',\''.$reg->exento.'\',\''.$tipos.'\')"><span class="fa fa-plus"></span></button>',
						                                               //agregarDetalle('.$reg->idservicio.',\''.$reg->nombre.'\','.$reg->precio.','.$reg->porcentaje.',\''.$tipos.'\',\''.$reg->exento.'\')
						"1"=>$reg->nombre,
						"2"=>$reg->categoria,
						"3"=>$reg->codigo,
						"4"=>$reg->stock,
						"5"=>"<img src='files/articulos/".$reg->imagen."' height='50px' width='50px'>"
					
							);
		}
		$results=array(
						"sEcho"=>1,//info para datatables
						"iTotalRecords"=>count($data),//enviamos el total de registros al datatable
						"iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
						"aaData"=>$data); 
		echo json_encode($results);
	break;

			
	case 'listarActivosServiciosCompra':
		require_once "../modelos/Servicios.php";
		$servicio		=new Servicios();
		$rspta			=$servicio->listarActivosServiciosCompra();
		//echo "<script> alert('estoy en listarServicios Controlador') </script>";
		//a.idservicio,a.idcategoria,c.nombre as categoria, a.nombre,a.precio,a.porcentaje,a.descripcion,a.condicion
		$tipos			='S';
		$data				=Array();
		while ($reg=$rspta->fetch_object()) {
			$data[]=array(
						"0"=>'<button class="btn btn-warning" 
						onclick="agregarDetalle('.$reg->idservicio.',\''.$reg->nombre.'\',\''.$reg->precio.'\',\''.$reg->preciod.'\',\''.$reg->precio.'\',\''.$reg->preciod.'\',\''.$reg->exento.'\',\''.$tipos.'\')"><span class="fa fa-plus"></span></button>',
						//       
						"1"=>$reg->nombre,
						"2"=>$reg->nombreservio,
						"3"=>$reg->precio,
						"4"=>$reg->porcentaje
						);
		}
		$results=array(
						"sEcho"=>1,//info para datatables
						"iTotalRecords"=>count($data),//enviamos el total de registros al datatable
						"iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
						"aaData"=>$data); 
		echo json_encode($results);

	break;

	case 'mostrardetalleingresobs':
		$rspta=$ingreso->mostrardetalleingresobs($idingreso);
		$data=Array();
/* 
<th>Fecha</th>
                    <th>Compras Bs.</th>
                    <th>Iva Bs.</th>
                    <th>Retención Iva Bs.</th>
                    <th>Retención ISLR Bs.</th>
                    <th>IGTF Bs.</th>
                    <th>Monto Bs.</th>
*/
		while ($reg=$rspta->fetch_object()) {
			$data[]=array(
            "0"=>$reg->fecha,
            "1"=>number_format($reg->total_compra,2,',','.'),
            "2"=>number_format($reg->ivab,2,',','.'),
						"3"=>number_format($reg->retencionivab,2,',','.'),
						"4"=>number_format($reg->retencionislrb,2,',','.'),
						"5"=>number_format($reg->montoigtfporcentajebs,2,',','.'),
						"6"=>number_format($reg->totalb,2,',','.'),
             );
		}
		$results=array(
             "sEcho"=>1,//info para datatables
             "iTotalRecords"=>count($data),//enviamos el total de registros al datatable
             "iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
             "aaData"=>$data); 
		echo json_encode($results);
	break;
}
 ?>